# -*- coding: utf-8 -*-
# vi:ts=4:et
# 
# $Date: 2004/11/27 04:39:51 $
# $Revision: 1.5 $
# =====================================================
"""Setup script for young."""

from distutils.core import setup
import sys

# get the version info
import src
VERSION = src.__version__

assert sys.version >= "2.4", "Python must be 2.4 or higher"


setup(
        name    = "Young",
        description = "Young -- library module for combinatorics",
        long_description = """\
Young is a library module for combinatorics, especially for \
Young tableaux and partitions of numbers.""",

        version = VERSION,
        author  = "G. Yoshida",
        author_email = "etale@users.sourceforge.jp",
        #url     = "http://souceforge.jp/projects/young",
        url     = "http://young.sourceforge.jp/",
        download_url = "http://souceforge.jp/projects/young",
        package_dir = {'young':'src'},
        packages    = ['young'],
        license = "GNU Lesser General Public License (LGPL)",
        )

